Bug 1276228 - [BACKUP]: Information about regenerate-outfile is missing in the admin guide for glusterfind pre cli
[BACKUP]: Information about regenerate-outfile is missing in the admin guide ...
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: RHGS 3.1.3
Assigned To: Divya
Anil Shah
: Documentation, ZStream
Depends On:
Blocks: 1310215
  Show dependency treegraph
Reported: 2015-10-29 03:04 EDT by Rahul Hinduja
Modified: 2017-11-17 00:29 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rahul Hinduja 2015-10-29 03:04:28 EDT
Document URL: 

Section Number and Name: 
21.1. Glusterfind Configuration Options

Describe the issue: 

Currently the guide describes the glusterfind cli as:

Glusterfind Pre
To retrieve the list of modified files and directories and store it in the outfile, execute the following command:

glusterfind pre [-h] [-N | --only-namespace-changes] [--debug] [--full] [--output-prefix OUTPUT_PREFIX] [--disable-partial] <SessionName> <volname> <outfile>

OUTPUT_PREFIX: It is the prefix to the path/name that is specified in the outfile.
--only-namespace-changes OR -N: It lists only those files that are detected as New, Rename, Link, Unlink etc. It does not list files/directories which are modified.
--full: It triggers a full crawl of the filesystem
--disable-partial: It is used to disable the partial-find feature that is enabled by default.
--help OR -h: Displays help for the command
outfile: The incremental list of modified files.
SessionName: Unique name of a session.
volname: Name of the volume for which the pre command is executed. 

Whereas in actual CLI we have

[root@dhcp37-165 ~]# glusterfind pre -h
usage: glusterfind pre [-h] [--debug] [--full] [--disable-partial]
                       [--output-prefix OUTPUT_PREFIX] [--regenerate-outfile]
                       session volume outfile

positional arguments:
  session               Session Name
  volume                Volume Name
  outfile               Output File

optional arguments:
  -h, --help            show this help message and exit
  --debug               Debug
  --full                Full find
  --disable-partial     Disable Partial find, Fail when one node fails
  --output-prefix OUTPUT_PREFIX
                        File prefix in output
  --regenerate-outfile  Regenerate outfile, discard the outfile generated from
                        last pre command
  -N, --only-namespace-changes
                        List only namespace changes
[root@dhcp37-165 ~]# 

Information about regenerated-output file is missing in the guide.
Comment 3 Divya 2016-05-25 05:04:06 EDT

I have updated "Glusterfind Pre" command based on the bug description.

Link to the latest doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/view/Gluster/job/doc-Red_Hat_Gluster_Storage-3.1.3-Administration_Guide%20%28html-single%29/lastBuild/artifact/tmp/en-US/html-single/index.html#idm139986987520096

Please review and provide feedback.

Comment 4 Divya 2016-06-02 07:13:02 EDT
Aravind performed an online review of the doc and I have incorporated his suggestions.

Link to the latest doc: http://jenkinscat.gsslab.pnq.redhat.com:8080/view/Gluster/job/doc-Red_Hat_Gluster_Storage-3.1.3-Administration_Guide%20%28html-single%29/lastBuild/artifact/tmp/en-US/html-single/index.html#idm139866880138032

Note that the updated documentation is based on the 3.1.3 command template with only recommended options.
Comment 5 Anil Shah 2016-06-13 06:42:52 EDT
As discussed with arvinda, cli option -N and --full are not exposed to customer.
So its not mentioned in glusterfind pre command output and description in admin guide.

Else doc texts looks good to me.

Note You need to log in before you can comment on or make changes to this bug.